from typing import Dict

from sziszapangma.core.alignment.alignment_step import AlignmentStep
from sziszapangma.integration.mapper.step_words_mapper import StepWordsMapper


class AlignmentStepMapper:

    @staticmethod
    def to_json_dict(alignment_step: AlignmentStep) -> Dict[str, any]:
        return {
            'step_type': alignment_step.step_type.name,
            'step_words': StepWordsMapper.to_json_dict(
                alignment_step.step_words),
            'step_cost': alignment_step.step_cost
        }
